List automation emails

Retrieve all emails belonging to a specific automation, including engagement statistics for each email.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
automationIdstringRequiredformat: "^(aut_[0-9a-fA-F\-]+)$"
The prefixed ID of the automation object

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results. Obtain it from the next_cursor field of a previous response.

pageintegerOptional

Deprecated: Use cursor instead. Pagination returns the results in pages. Limited to 100 pages maximum.

Response

OK
datalist of objects
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
has_moreboolean

Cursor pagination only: Indicates whether there are more results available after the current page.

next_cursorstring

Cursor pagination only: The cursor token to use for fetching the next page of results. This will be null if has_more is false.

pageinteger>=0Defaults to 1

Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.

total_resultsinteger
The total number of results from all pages.
total_pagesinteger
The total number of pages.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error